%bcond_with  bootstrap

Name:           junit
Epoch:          1
Version:        4.13.2
Release:        %mkrel 5
Group:          Development/Java
Summary:        Java regression test package
License:        EPL-1.0
URL:            https://junit.org/junit4/
BuildArch:      noarch
#ExclusiveArch:  %%{java_arches} noarch

# ./generate-tarball.sh
Source0:        %{name}-%{version}.tar.gz
Source1:        generate-tarball.sh

Patch1:         0001-Port-to-hamcrest-2.2.patch
Patch2:         0002-Port-to-OpenJDK-21.patch

%if %{with bootstrap}
BuildRequires:  javapackages-bootstrap
%else
BuildRequires:  maven-local maven-openjdk21
BuildRequires:  mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:  mvn(org.hamcrest:hamcrest-core)
%endif

# For other packages, surefire-junit4 is normally pulled as transitive
# runtime dependency of junit, but junit doesn't build-depend on
# itself, so explicit BR on surefire-junit4 is needed.
%if %{without bootstrap}
BuildRequires:  mvn(org.apache.maven.surefire:surefire-junit4)
%endif

%description
JUnit is a regression testing framework written by Erich Gamma and Kent Beck. 
It is used by the developer who implements unit tests in Java. JUnit is Open
Source Software, released under the Common Public License Version 1.0 and 
hosted on GitHub.

%package manual
Summary:        Manual for %{name}

%description manual
Documentation for %{name}.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n junit4-r%{version}

%patch -P 1 -p1
%patch -P 2 -p1

# InaccessibleBaseClassTest fails with Java 8
sed -i /InaccessibleBaseClassTest/d src/test/java/org/junit/tests/AllTests.java

%pom_remove_plugin :replacer
sed s/@version@/%{version}/ src/main/java/junit/runner/Version.java.template >src/main/java/junit/runner/Version.java

%pom_remove_plugin :animal-sniffer-maven-plugin

# Removing hamcrest source jar references (not available and/or necessary)
%pom_remove_plugin :maven-javadoc-plugin

%mvn_file : %{name}

%mvn_alias junit:junit junit:junit-dep

%build
%mvn_build -- -DjdkVersion=1.8 -P\!restrict-doclint

%install
%mvn_install

%files -f .mfiles
%license LICENSE-junit.txt
%doc README.md

%files javadoc -f .mfiles-javadoc
%license LICENSE-junit.txt

%files manual
%license LICENSE-junit.txt
%doc doc/*




%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1:4.13.2-5.mga10
+ Revision: 2223983
- Mageia 10 Mass Rebuild

* Thu May 30 2024 daviddavid <daviddavid> 1:4.13.2-4.mga10
+ Revision: 2068698
- really rebuild for java 21

* Mon May 27 2024 ns80 <ns80> 1:4.13.2-3.mga10
+ Revision: 2068455
- rebuild without bootstrap

* Thu May 23 2024 ns80 <ns80> 1:4.13.2-2.mga10
+ Revision: 2066725
- bootstrap build
- rebuild for java 21

* Thu Sep 14 2023 daviddavid <daviddavid> 1:4.13.2-1.mga10
+ Revision: 1986589
- Update to upstream version 4.13.2

* Mon Jul 25 2022 neoclust <neoclust> 1:4.13.1-9.mga9
+ Revision: 1871042
- Disable bootstrap

* Sun Jul 24 2022 neoclust <neoclust> 1:4.13.1-8.mga9
+ Revision: 1870585
- Fix build
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Thu Nov 05 2020 mrambo3501 <mrambo3501> 1:4.13.1-1.mga8
+ Revision: 1642809
- version 4.13.1 fixes CVE-2020-15250

* Tue Sep 08 2020 daviddavid <daviddavid> 1:4.13-2.mga8
+ Revision: 1623487
- rebuild against current java stack

* Wed Aug 19 2020 neoclust <neoclust> 1:4.13-1.mga8
+ Revision: 1615517
- New version 4.13
- Add automatic module name
- Allow to build with java11

* Wed Feb 12 2020 umeabot <umeabot> 1:4.12-8.mga8
+ Revision: 1491292
- Mageia 8 Mass Rebuild

* Tue Sep 18 2018 umeabot <umeabot> 1:4.12-7.mga7
+ Revision: 1263026
- Mageia 7 Mass Rebuild

* Thu May 11 2017 neoclust <neoclust> 1:4.12-6.mga6
+ Revision: 1100221
- Add missing BR
- Second rebuild of the java stack

* Tue Feb 23 2016 neoclust <neoclust> 1:4.12-4.mga6
+ Revision: 976475
- First rebuild of the java stack
- sync package junit with fedora
+ umeabot <umeabot>
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1:4.11-7.mga5
+ Revision: 747058
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:4.11-6.mga5
+ Revision: 680897
- Mageia 5 Mass Rebuild

* Mon Sep 08 2014 pterjan <pterjan> 1:4.11-5.mga5
+ Revision: 673415
- Restore junit4 Provides as there are still too many packages to fix

* Wed Sep 03 2014 dmorgan <dmorgan> 1:4.11-4.mga5
+ Revision: 671624
- Build against Java8

* Mon Oct 21 2013 umeabot <umeabot> 0:4.11-3.mga4
+ Revision: 537717
- Mageia 4 Mass Rebuild

* Fri Sep 27 2013 dmorgan <dmorgan> 0:4.11-2.mga4
+ Revision: 487532
- Rebuild against new javapackages

* Fri Jul 12 2013 dmorgan <dmorgan> 0:4.11-1.mga4
+ Revision: 453437
- New version

* Mon Jul 08 2013 dmorgan <dmorgan> 0:4.10-7.mga4
+ Revision: 451373
- Update OSGi metadata to match 4.10.0 release.

* Sat Jan 12 2013 umeabot <umeabot> 0:4.10-3.mga3
+ Revision: 355695
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 14 2012 dmorgan <dmorgan> 0:4.10-2.mga3
+ Revision: 293994
- Rebuild against Java7

* Fri Jun 22 2012 dmorgan <dmorgan> 0:4.10-1.mga3
+ Revision: 262629
- Sync with fedora spec file
+ gil <gil>
- update to 4.10
- adapt to current guideline
- add OSGi manifest
- obsoleted junit4
- epoch added

* Thu Apr 28 2011 dmorgan <dmorgan> 3.8.2-9.mga1
+ Revision: 92544
- Rebuild after bootstrapping
- imported package junit


* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Oct 7 2010 Alexander Kurtakov <akurtako@redhat.com> 3.8.2-7
- Drop gcj support.

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-6.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.8.2-5.4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 3.8.2-4.4
- drop repotag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.8.2-4jpp.3
- Autorebuild for GCC 4.3

* Thu Sep 20 2007 Deepak Bhole <dbhole@redhat.com> - 3.8.2-3jpp.3
- Fix location of stylesheet for javadocs

* Thu Sep 20 2007 Deepak Bhole <dbhole@redhat.com> - 3.8.2-3jpp.2
- Rebuild for ppc32 execmem issue and new build-id

* Mon Feb 12 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 3.8.2-3jpp.1.fc7
- Add dist tag

* Mon Feb 12 2007 Thomas Fitzsimmons <fitzsim@redhat.com> - 3.8.2-3jpp.1
- Committed on behalf of Tania Bento <tbento@redhat.com>
- Update per Fedora review process
- Resolves rhbz#225954

* Thu Aug 10 2006 Deepak Bhole <dbhole@redhat.com> -  0:3.8.2-3jpp.1
- Added missing requirements.

* Thu Aug 10 2006 Karsten Hopp <karsten@redhat.de> 0:3.8.2-2jpp_3fc
- Require(post/postun): coreutils

* Sun Jun 23 2006 Deepak Bhole <dbhole@redhat.com> -  0:3.8.2-2jpp_2fc
- Rebuilt.

* Sat Jun 22 2006 Deepak Bhole <dbhole@redhat.com> -  0:3.8.2-2jpp_1fc
- Upgrade to 3.8.2
- Added conditional native compilation.
- Fix path where demo is located.

* Mon Mar 03 2006 Ralph Apel <r.apel at r-apel.de> - 0:3.8.2-1jpp
- First JPP-1.7 release

* Sun Aug 23 2004 Randy Watler <rwatler at finali.com> - 0:3.8.1-4jpp
- Rebuild with ant-1.6.2
* Fri May 09 2003 David Walluck <david@anti-microsoft.org> 0:3.8.1-3jpp
- update for JPackage 1.5

* Fri Mar 21 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 3.8.1-2jpp
- For jpackage-utils 1.5

* Fri Sep 06 2002 Henri Gomez <hgomez@users.sourceforge.net> 3.8.1-1jpp
- 3.8.1

* Sun Sep 01 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.8-2jpp 
- used original zip file

* Thu Aug 29 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.8-1jpp 
- 3.8
- group, vendor and distribution tags

* Sat Jan 19 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.7-6jpp
- versioned dir for javadoc
- no dependencies for manual and javadoc packages
- stricter dependency for demo package
- additional sources in individual archives
- section macro

* Sat Dec 1 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.7-5jpp
- javadoc in javadoc package

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 3.7-4jpp
- fixed previous releases ...grrr

* Wed Nov 21 2001 Christian Zoffoli <czoffoli@littlepenguin.org> 3.7-3jpp
- added jpp extension
- removed packager tag

* Sun Sep 30 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.7-2jpp
- first unified release
- s/jPackage/JPackage

* Mon Sep 17 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.7-1mdk
- 3.7
- vendor tag
- packager tag
- s/Copyright/License/
- truncated description to 72 columns in spec
- spec cleanup
- used versioned jar
- moved demo files to %%{_datadir}/%%{name}

* Sat Feb 17 2001 Guillaume Rousse <g.rousse@linux-mandrake.com> 3.5-1mdk
- first Mandrake release
